@echo off
@echo ****** Preliminary testing ******
copy !preliminary.ini !test.ini > NUL
..\..\etc\!test.exe %*
if ERRORLEVEL 1 goto :ERROR
@echo ****** Main testing ******
copy !main.ini !test.ini > NUL
..\..\etc\!test.exe %*
goto :FINISH
:ERROR
@echo Preliminary testing failed!
:FINISH
del !test.ini
